configure /etc/sysconfig/network/config:
  file.managed:
    - name: /etc/sysconfig/network/config
    - source: salt://common/files/etc/sysconfig/network/config
    - user: root
    - group: root
    - mode: "0644"

run netupdate:
  cmd.run:
    - name: netconfig update -f
    - onchanges:
      - file: /etc/sysconfig/network/config
